Send a Telegram message
curl --request POST \
--url https://api.kavenio.com/v1/accounts/{accountId}/telegram-conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Thanks for reaching out."
}
'import requests
url = "https://api.kavenio.com/v1/accounts/{accountId}/telegram-conversations/{conversationId}/messages"
payload = { "text": "Thanks for reaching out." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: 'Thanks for reaching out.'})
};
fetch('https://api.kavenio.com/v1/accounts/{accountId}/telegram-conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"accountId": "<string>",
"conversationId": "<string>",
"message": {
"id": "<string>",
"accountId": "<string>",
"conversationId": "<string>",
"providerChatId": "<string>",
"providerMessageId": "<string>",
"sentAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"text": "<string>",
"senderProviderAccountId": "<string>",
"senderUsername": "<string>",
"senderDisplayName": "<string>"
},
"sentAt": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Telegram
Send Telegram message
Sends one text message into an existing managed Telegram private conversation. Telegram bots cannot initiate conversations with users who have not messaged the bot.
POST
/
v1
/
accounts
/
{accountId}
/
telegram-conversations
/
{conversationId}
/
messages
Send a Telegram message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Minimum string length:
1Body
application/json
Required string length:
1 - 4096Required array length:
1 - 10 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I